<div class="min-w-full p-2">
    <form class="flex flex-col w-full">
        <div class="pb-1">
            <div class="text-3xl font-cairo font-bold mb-6">
                Add Notes
            </div>
        </div>
        <mat-dialog-content class="min-w-full relative mb-4">

            <div class="w-full">
                <mat-form-field class="fuse-mat-textarea fuse-mat-no-subscript w-full">
                    <mat-label>Notes</mat-label>
                    <textarea matInput [rows]="4" matTextareaAutosize [matAutosizeMinRows]="1"></textarea>
                </mat-form-field>
            </div>

            <div class="flex flex-col justify-start mt-5">
                <div class="flex align-center text-warn font-medium mb-2" *ngIf="iserror">
                    <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-warn"></mat-icon>
                    <span>{{'Successfully saved'}}</span>
                </div>
                <div class="flex align-center text-green font-medium mb-2" *ngIf="issuccess">
                    <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-green"></mat-icon>
                    <span>{{'Something went wrong'}}</span>
                </div>
            </div>
        </mat-dialog-content>
        <mat-dialog-actions class="flex justify-end sticky bottom-0">
            <button mat-button mat-dialog-close [color]="'primary'" (click)="doAction()" type="button">
                <span class="mx-4">Cancel</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-raised-button [color]="'primary'" type="submit">
                <span class="mx-4">Add</span>
            </button>
        </mat-dialog-actions>
    </form>

</div>
